Get all child resources of a specific resource
curl --request GET \
--url https://b.anny.co/api/v1/resources/{resource_id}/children \
--header 'Authorization: Bearer <token>'import requests
url = "https://b.anny.co/api/v1/resources/{resource_id}/children"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://b.anny.co/api/v1/resources/{resource_id}/children', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"type": "resources",
"id": "22231",
"attributes": {
"slug": "HlYe29LbPSGyOwsefgXIgtm1tmbnty",
"name": "Fred Beck",
"description": null,
"plain_description": "",
"availabilityMode": null,
"continuous": true,
"color": null,
"auto_accept_bookings": true,
"timezone": "Europe/Berlin",
"quantity": 1,
"staggered_quantity": null,
"max_booking_quantity": 1,
"has_children": false,
"available_from": null,
"available_to": null,
"created_at": "2021-09-22T13:44:12+00:00",
"seo": false,
"live": true,
"public_listing": false,
"display_public_description": false,
"hidden": true,
"settings": {
"showAvailabilityCalendar": true,
"showAvailabilityCount": true,
"checkIn": {
"isEnabled": false,
"autoExpiry": false,
"autoExpiresAfter": 15,
"allowedAdvancePeriod": 15,
"allowedDelayPeriod": 30,
"allowMultiple": false,
"releaseOnCheckout": false
},
"printLabels": false,
"checkout": {
"customerCanPickChildren": true,
"requiresLogin": false,
"requiresLoginReason": null,
"verifyGuestEmail": false
},
"resources": {
"maxBookings": {
"perDay": null,
"perWeek": null,
"perMonth": null
}
},
"maxBookings": {
"perSlot": null,
"perDay": null,
"perWeek": null,
"perMonth": null
},
"selfCheckIn": {
"isEnabled": false,
"disabledUntil": 15,
"geoCheckEnabled": true,
"geoCheckMaxDelta": 997,
"allowedOverrunTime": 60
}
},
"preview_token": "ktlLeS7TseEXf8ZIE6WhWhFbITep9K",
"email_info": null
},
"links": {
"self": "https://b.anny.co/api/v1/resources/22231"
},
"meta": {
"is_available": null,
"booking_count": null,
"number_available": null,
"minimal_service": {
"name": "Coaching: Leadership - Empower Your Employees",
"currency": "EUR",
"has_flexible_duration": true,
"uncharged_duration": 0,
"min_duration": 60,
"min_price_max_duration": 60,
"min_duration_total": 249,
"starting_fee": 0,
"calculation_interval": 60,
"price": 249,
"is_net_price": false,
"price_hidden": false
},
"service_list": "Coaching: Leadership - Empower Your Employees",
"services_count": 0,
"settings": {
"showAvailabilityCalendar": true,
"showAvailabilityCount": true,
"checkout": {
"customerCanPickChildren": true,
"requiresLogin": false,
"requiresLoginReason": null,
"verifyGuestEmail": false
},
"checkIn": {
"isEnabled": false
},
"selfCheckIn": {
"isEnabled": false,
"disabledUntil": 15,
"geoCheckEnabled": true,
"geoCheckMaxDelta": 997,
"allowedOverrunTime": 60
}
},
"meta_settings": {
"showAvailabilityCalendar": true,
"showAvailabilityCount": true,
"checkout": {
"customerCanPickChildren": true,
"requiresLogin": false,
"requiresLoginReason": null,
"verifyGuestEmail": false
},
"checkIn": {
"isEnabled": false
},
"selfCheckIn": {
"isEnabled": false,
"disabledUntil": 15,
"geoCheckEnabled": true,
"geoCheckMaxDelta": 997,
"allowedOverrunTime": 60
}
},
"zoom": false,
"client_url": "https://anny.co/b/book/HlYe29LbPSGyOwsefgXIgtm1tmbnty",
"preview_url": "https://anny.co/b/book/HlYe29LbPSGyOwsefgXIgtm1tmbnty?preview_token=ktlLeS7TseEXf8ZIE6WhWhFbITep9K"
}
}
]
}Resource Management
Get all child resources of a specific resource
GET
/
api
/
v1
/
resources
/
{resource_id}
/
children
Get all child resources of a specific resource
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Pfadparameter
Abfrageparameter
Organization ID
Antwort
200 - application/vnd.api+json
OK
Show child attributes
Show child attributes
⌘I